@import "../../styles/_variables.scss";

@mixin transition($time, $type, $property) {
    transition: $time $type $property;
    -moz-transition: $time $type $property;
    -webkit-transition: $time $type $property;
}

.ReservationConcert {
    .mapContainer {
    }

    .flex {
        display: flex;
    }

    .header {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        padding: 40px;
        background-color: $tertiary-color;
        color: white;

        p {
            width: fit-content;
            margin: 0;
        }

        p.active {
            font-weight: bold;
            color: $primary-color;
        }
    }

    .concert-info {
        padding: 50px;
        background-color: $tertiary-color;
        color: white;

        .artist-picture {
            height: 200px;
            background-position: center;
            background-size: cover;
        }

        &__header {
            > div:not(:last-child) {
                display: flex;
                flex-direction: column;
                align-self: center;
            }

            img {
                width: 100%;
            }
        }
    }

    .border {
        border: 1px solid black;
        padding: 20px;
    }

    .plan {
        &__seatPicker-container {
            padding: 2%;
            width: 50%;
            background-color: $tertiary-color;
            margin: auto;
        }

        &__seatPicker-header {
            width: 90%;
            margin: auto;
            padding: 1% 0;
            text-align: center;
            background-color: $secondary-color;
            text-transform: uppercase;
        }

        &__seatPicker {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-top: 5%;
            position: relative;

            > div {
                width: 80%;
                margin: auto;
                justify-content: center;
            }

            &-places {
                > div {
                    justify-content: center;

                    &:nth-child(3n) {
                        margin-bottom: 4%;
                    }
                }
            }

            ul {
                list-style: none;
                padding: 0;
                margin: 1%;
                height: 30px;
            }

            @media (max-width: 1000px) {
                ul li input[type="checkbox"] + label {
                    width: 20px;
                    height: 20px;
                }
            }

            input[type="checkbox"] {
                opacity: 0;
                position: absolute;
                width: 40px;
                height: 40px;
                z-index: 3;
            }

            input[type="checkbox"] + label {
                width: 30px;
                height: 30px;
                display: block;
                position: relative;
                margin: auto;
                box-sizing: border-box;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                text-indent: -999px;
                overflow: hidden;
                border: 1px solid white;
                cursor: pointer;
            }

            input[type="checkbox"] + label {
                border: 1px solid white;
                background: transparent;
                overflow: visible;
                @include transition(0.4s, ease, border);
            }

            // input[type="checkbox"] + label:before {
            //     content: "";
            //     width: 15px;
            //     height: 15px;
            //     top: -54px;
            //     left: 0;
            //     bottom: 0;
            //     right: -54px;
            //     position: absolute;
            //     opacity: 0;
            //     z-index: -1;
            //     margin: auto;
            //     background: $primary-color;
            //     background-position: center;
            //     background-size: 13px;
            //     @include transition(0.4s, ease, all);
            // }

            input[type="checkbox"]:disabled + label {
                background-color: rgb(146, 24, 24);
            }

            input[type="checkbox"]:checked + label {
                border: 8px solid $primary-color;
            }

            input[type="checkbox"]:checked + label:before {
                opacity: 1;
                z-index: 1;
                top: -38px;
                left: 0;
                bottom: 0;
                right: -37px;
            }
        }

        &__seat-prices {
            align-items: center;
            display: flex;
            flex-direction: column;
            justify-content: space-evenly;
        }

        .recap-plan {
            table {
                width: 30%;

                td.center {
                    text-align: center;
                }

                td.left {
                    text-align: left;
                }

                td.right {
                    text-align: right;
                }

                .middle {
                    padding: 0 5%;
                    width: 200px;
                }
            }
        }
    }

    .ticket {
        table {
            width: 100%;

            tr > td {
                width: 200px;
            }
        }

        .reservation-tickets {
            table {
                border: 1px solid $tertiary-color;
            }

            td {
                padding: 20px;

                &:not(:last-child) {
                    width: 30%;

                    border-right: 1px solid #dedede;
                }

                input {
                    margin-right: 3%;
                }
            }

            tr:not(:last-child) {
                border-bottom: 1px solid #dedede;
            }
        }
    }

    .button-container {
        margin: 5% auto;
        text-align: right;

        button:last-child {
            margin: auto 3%;
        }
    }
}

// @media (max-width: 1200px) {
//     .ReservationConcert .plan__seatPicker-container,
//     .top-col {
//         width: 80%;
//     }
// }

@media (max-width: 800px) {
    .ReservationConcert .plan__seatPicker-container,
    .top-col {
        width: 100%;
        margin-top: 3%;
    }
}

// @media (max-width: 1300px) {
//     .top-col {
//         width: 90%;
//     }

//     .left-col {
//         left: 5px;
//     }
// }

@media (max-width: 1200px) {
    .top-col {
        width: 100%;
    }

    .left-col {
        left: 40px;
    }
}

.top-col {
    display: flex;
    color: $secondary-color;
    > span {
        width: 40px;
        text-align: center;
    }
}

.ReservationConcert .plan__seatPicker .left-col {
    color: $secondary-color;
    position: absolute;
    top: 30px;
    left: 40px;
    width: inherit;
    display: flex;
    flex-direction: column;

    > span {
        height: 40px;
        text-align: center;

        &:nth-child(3n) {
            margin-bottom: 19px;
        }
    }
}
